Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.request
Class MimeContext

    java.lang.Object
      org.juzu.request.RequestContext
          org.juzu.request.MimeContext

Direct Known Subclasses:
  RenderContext, ResourceContext

    public abstract class MimeContext

extends RequestContext

Author:
  Julien Viet

Method Summary
`URLBuilder` | `createURLBuilder(ControllerMethod method)`
`URLBuilder` | `createURLBuilder(ControllerMethod method, Object arg)`
`URLBuilder` | `createURLBuilder(ControllerMethod method, Object[] args)`
`Printer` | `getPrinter()` Returns the current printer.
`void` | `setResponse(Response.Mime response)`

Methods inherited from class org.juzu.request.RequestContext
`getClassLoader, getHttpContext, getMethod, getParameters, getPhase, getSecurityContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createURLBuilder

    public URLBuilder createURLBuilder(ControllerMethod method)

### createURLBuilder

    public URLBuilder createURLBuilder(ControllerMethod method,
                                       Object arg)

### createURLBuilder

    public URLBuilder createURLBuilder(ControllerMethod method,
                                       Object[] args)

### getPrinter

    public Printer getPrinter()

  Returns the current printer.

  Returns:
    the printer

### setResponse

    public void setResponse(Response.Mime response)
                     throws IOException,
                            IllegalStateException

  Throws:
    `IOException`
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.